summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoao Carreira <jfmcarreira@gmail.com>2018-02-18 20:26:41 +0000
committerJoao Carreira <jfmcarreira@gmail.com>2018-02-18 21:07:19 +0000
commit638faff5ae5eae224f364aeeb6cdd08a48f14bdf (patch)
tree0f59eceffa8297b4525fd407fc59029613a9adf9
parentmedia-video/calyp: add ebuild (diff)
downloadcarreira-638faff5ae5eae224f364aeeb6cdd08a48f14bdf.tar.gz
carreira-638faff5ae5eae224f364aeeb6cdd08a48f14bdf.tar.bz2
carreira-638faff5ae5eae224f364aeeb6cdd08a48f14bdf.zip
media-gfx/ktikz: remove 5.9999 as master is already in frameworks
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--media-gfx/ktikz/ktikz-5.9999.ebuild73
-rw-r--r--media-gfx/ktikz/ktikz-9999.ebuild45
2 files changed, 29 insertions, 89 deletions
diff --git a/media-gfx/ktikz/ktikz-5.9999.ebuild b/media-gfx/ktikz/ktikz-5.9999.ebuild
deleted file mode 100644
index 4316122..0000000
--- a/media-gfx/ktikz/ktikz-5.9999.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit eutils cmake-utils qmake-utils git-r3
-
-DESCRIPTION="A QT5-based editor for the TikZ language"
-HOMEPAGE="http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language"
-LICENSE="GPL-2"
-SLOT="5"
-KEYWORDS=""
-IUSE="kde +doc -debug"
-
-EGIT_REPO_URI="https://github.com/fhackenberger/ktikz.git"
-EGIT_BRANCH="frameworks"
-
-DEPEND="
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- dev-qt/qtprintsupport:5
- app-text/poppler[qt5]
- doc? ( dev-qt/qthelp:5 )
- kde? (
- kde-frameworks/kxmlgui
- kde-frameworks/ktexteditor
- kde-frameworks/kparts
- kde-frameworks/kiconthemes
- )
- virtual/latex-base
- dev-texlive/texlive-latexextra
- dev-tex/pgf
-"
-RDEPEND="${DEPEND}
- !media-gfx/ktikz:4
-"
-
-DOCS="Changelog TODO"
-
-src_prepare() {
- # correct the qcollectiongenerator binary
- sed -ie 's%#QCOLLECTIONGENERATORCOMMAND = qcollectiongenerator%QCOLLECTIONGENERATORCOMMAND = /usr/lib/qt5/bin/qcollectiongenerator%g' qmake/qtikzconfig.pri || die
- eapply_user
-}
-
-src_configure() {
- if use kde; then
- cmake-utils_src_configure
- else
- KDECONFIG="CONFIG-=usekde"
- eqmake5 qtikz.pro "CONFIG+=nostrip" "$KDECONFIG"
- fi
-}
-
-src_compile() {
- if use !doc; then
- comment_add_subdirectory doc
- fi
- if use kde; then
- cmake-utils_src_compile
- else
- emake
- fi
-}
-
-src_install() {
- if use kde; then
- cmake-utils_src_install
- else
- emake INSTALL_ROOT="${D}" install
- fi
-}
diff --git a/media-gfx/ktikz/ktikz-9999.ebuild b/media-gfx/ktikz/ktikz-9999.ebuild
index 0234ed3..feae9f3 100644
--- a/media-gfx/ktikz/ktikz-9999.ebuild
+++ b/media-gfx/ktikz/ktikz-9999.ebuild
@@ -1,52 +1,65 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
inherit eutils cmake-utils qmake-utils git-r3
DESCRIPTION="A QT5-based editor for the TikZ language"
HOMEPAGE="http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language"
-
-EGIT_REPO_URI="https://github.com/fhackenberger/ktikz.git"
-
LICENSE="GPL-2"
-SLOT="4"
+SLOT="5"
KEYWORDS=""
-IUSE="+kde -debug"
+IUSE="kde +doc -debug"
+
+EGIT_REPO_URI="https://github.com/fhackenberger/ktikz.git"
DEPEND="
- dev-qt/qtcore:4
- dev-qt/qtgui:4
- dev-qt/qthelp:4
- app-text/poppler[qt4]
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtprintsupport:5
+ app-text/poppler[qt5]
+ doc? ( dev-qt/qthelp:5 )
kde? (
- kde-frameworks/kdelibs
+ kde-frameworks/kxmlgui
+ kde-frameworks/ktexteditor
+ kde-frameworks/kparts
+ kde-frameworks/kiconthemes
)
virtual/latex-base
dev-texlive/texlive-latexextra
dev-tex/pgf
"
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+ !media-gfx/ktikz:4
+"
DOCS="Changelog TODO"
-S="${WORKDIR}/${PN}"
+src_prepare() {
+ # correct the qcollectiongenerator binary
+ sed -ie 's%#QCOLLECTIONGENERATORCOMMAND = qcollectiongenerator%QCOLLECTIONGENERATORCOMMAND = /usr/lib/qt5/bin/qcollectiongenerator%g' qmake/qtikzconfig.pri || die
+ eapply_user
+}
src_configure() {
if use kde; then
cmake-utils_src_configure
else
KDECONFIG="CONFIG-=usekde"
- eqmake4 qtikz.pro "CONFIG+=nostrip" "$KDECONFIG"
+ eqmake5 qtikz.pro "CONFIG+=nostrip" "$KDECONFIG"
fi
}
src_compile() {
+ if use !doc; then
+ comment_add_subdirectory doc
+ fi
if use kde; then
cmake-utils_src_compile
else
- default
+ emake
fi
}
@@ -54,6 +67,6 @@ src_install() {
if use kde; then
cmake-utils_src_install
else
- emake INSTALL_ROOT="${D}" PREFIX="${EPREFIX}/usr" install
+ emake INSTALL_ROOT="${D}" install
fi
}